## qt6-lottie 6.9.2

=== CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

include(.cmake.conf)
project(QtLottie
    VERSION "${QT_REPO_MODULE_VERSION}"
    DESCRIPTION "Qt Lottie Libraries"
    HOMEPAGE_URL "https://qt.io/"
    LANGUAGES CXX C
)

find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS BuildInternals Core)
find_package(Qt6 ${PROJECT_VERSION} QUIET CONFIG OPTIONAL_COMPONENTS Gui Qml Quick QuickTest)
qt_internal_project_setup()

if(NOT TARGET Qt6::Gui)
    message(NOTICE "Skipping the build as Qt6::Gui cannot be found.")
    return()
endif()

qt_build_repo()

=== src/imports/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_qml_module(lottieqtplugin
    URI "Qt.labs.lottieqt"
    VERSION "${PROJECT_VERSION}"
    CLASS_NAME BodymovinPlugin
    PLUGIN_TARGET lottieqtplugin
    DEPENDENCIES
        QtQuick
    SOURCES
        lottieanimation.cpp lottieanimation.h
        rasterrenderer/batchrenderer.cpp rasterrenderer/batchrenderer.h
        rasterrenderer/lottierasterrenderer.cpp rasterrenderer/lottierasterrenderer.h
    LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::GuiPrivate
        Qt::Qml
        Qt::Quick
        Qt::BodymovinPrivate
    NO_GENERATE_CPP_EXPORTS
)

qt_internal_add_docs(lottieqtplugin
    doc/qtlottieanimation.qdocconf
)

=== tests/auto/CMakeLists.txt ===
add_subdirectory(bodymovin)
add_subdirectory(imports)

=== tests/baseline/CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(qtlottie_baseline_test LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

# Special case: test includes the QBaselineTest module sources from qtbase directly
if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/../../../qtbase/tests/baseline/shared" AND QT_FEATURE_process)
    add_subdirectory(scenegrabber)
    add_subdirectory(lottie)
endif()

=== tests/auto/imports/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_test(tst_imports
    GUI
    QMLTEST
    SOURCES
        tst_imports.cpp
    LIBRARIES
        Qt::Quick
    TESTDATA
        data/tst_main.qml
)

qt_internal_add_resource(tst_imports "imports"
    PREFIX
        "/"
    FILES
        data/rec_pos_col_opa.json
)

=== tests/baseline/lottie/CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## tst_baseline_qtlottie Test:
#####################################################################

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_baseline_qtlottie LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

# Collect test data
list(APPEND test_data "../data")

set(BASELINE_DIR "../../../../qtbase/tests/baseline/shared")
qt_internal_add_test(tst_baseline_qtlottie
    OUTPUT_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/.."
    SOURCES
        ${BASELINE_DIR}/baselineprotocol.cpp
        ${BASELINE_DIR}/baselineprotocol.h
        ${BASELINE_DIR}/lookup3.cpp
        ${BASELINE_DIR}/qbaselinetest.cpp
        ${BASELINE_DIR}/qbaselinetest.h
        tst_baseline_qtlottie.cpp
    INCLUDE_DIRECTORIES
        ${BASELINE_DIR}
    LIBRARIES
        Qt::Gui
        Qt::Network
    TESTDATA ${test_data}
)

=== tests/auto/bodymovin/shape/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(shapelayer)
add_subdirectory(rect)
add_subdirectory(ellipse)
add_subdirectory(fill)
add_subdirectory(stroke)
add_subdirectory(path)
add_subdirectory(trimpath)
add_subdirectory(transform)
add_subdirectory(shapetransform)
add_subdirectory(repeater)
add_subdirectory(repeatertransform)

=== tests/auto/bodymovin/shape/ellipse/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Collect test data
file(GLOB_RECURSE test_data_glob
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    data/*)
list(APPEND test_data ${test_data_glob})

qt_internal_add_test(tst_ellipse
    SOURCES
        tst_bmellipse.cpp
    LIBRARIES
        Qt::Gui
        Qt::GuiPrivate
        Qt::Test
        Qt::BodymovinPrivate
    TESTDATA ${test_data}
)

=== tests/auto/bodymovin/shape/path/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Collect test data
file(GLOB_RECURSE test_data_glob
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    data/*)
list(APPEND test_data ${test_data_glob})

qt_internal_add_test(tst_path
    SOURCES
        tst_bmpath.cpp
    LIBRARIES
        Qt::Gui
        Qt::GuiPrivate
        Qt::Test
        Qt::BodymovinPrivate
    TESTDATA ${test_data}
)

=== tests/auto/bodymovin/shape/repeater/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Collect test data
file(GLOB_RECURSE test_data_glob
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    data/*)
list(APPEND test_data ${test_data_glob})

qt_internal_add_test(tst_repeater
    SOURCES
        tst_bmrepeater.cpp
    LIBRARIES
        Qt::Gui
        Qt::GuiPrivate
        Qt::Test
        Qt::BodymovinPrivate
    TESTDATA ${test_data}
)

=== tests/auto/bodymovin/shape/shapelayer/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Collect test data
file(GLOB_RECURSE test_data_glob
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    data/*)
list(APPEND test_data ${test_data_glob})

qt_internal_add_test(tst_shapelayer
    SOURCES
        tst_bmshapelayer.cpp
    LIBRARIES
        Qt::Gui
        Qt::Test
        Qt::BodymovinPrivate
    TESTDATA ${test_data}
)

=== tests/auto/bodymovin/shape/shapetransform/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Collect test data
file(GLOB_RECURSE test_data_glob
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    data/*)
list(APPEND test_data ${test_data_glob})

qt_internal_add_test(tst_shapetransform
    SOURCES
        tst_bmshapetransform.cpp
    LIBRARIES
        Qt::Gui
        Qt::GuiPrivate
        Qt::Test
        Qt::BodymovinPrivate
    TESTDATA ${test_data}
)

=== debian/changelog ===
qt6-lottie (6.9.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Enable ccache only whhen build in corresponding build profile.
  * Drop Rules-Requires-Root: no, not needed any more.

 -- Patrick Franz <deltaone@debian.org>  Tue, 28 Oct 2025 22:38:29 +0100

qt6-lottie (6.9.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 22 Sep 2025 20:56:53 +0200

qt6-lottie (6.9.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.2).
  * Bump Qt B-Ds to 6.9.2.

 -- Patrick Franz <deltaone@debian.org>  Sat, 13 Sep 2025 20:34:56 +0200

qt6-lottie (6.9.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Do not use ccache on hurd.
  * Remove inactive uploaders, thank you for your work.

 -- Patrick Franz <deltaone@debian.org>  Sat, 23 Aug 2025 23:08:05 +0200

qt6-lottie (6.9.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.1).
  * Bump Qt B-Ds to 6.9.1.
  * Update symbols from buildlogs.
  * Bump Standards-Version to 4.7.2 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 22 Jul 2025 22:32:03 +0200

=== debian/control ===
Source: qt6-lottie
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.24~),
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.9.2+dfsg~),
               qt6-base-private-dev (>= 6.9.2+dfsg~),
               qt6-declarative-dev (>= 6.9.2+dfsg~),
               qt6-declarative-private-dev (>= 6.9.2+dfsg~),
Standards-Version: 4.7.2
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-lottie
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-lottie.git

Package: libqt6bodymovin6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Lottie Bodymovin library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains a plugin created/exported directly from After Effects.

Package: qml6-module-qt-labs-lottieqt
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 Lottie QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains a QML API for rendering graphics and animations
 that are exported in JSON format by the Bodymovin plugin for Adobe
 After Effects.

Package: qt6-lottie-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt6bodymovin6 (= ${binary:Version}),
         qml6-module-qt-labs-lottieqt (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Breaks: libqt6bodymovin6-dev (<< 6.4.1-2~),
Replaces: libqt6bodymovin6-dev (<< 6.4.1-2~),
Description: Qt 6 Lottie - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications using Qt Lottie libraries.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

# QT_HOST_PATH isn't passed in cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	extra_cmake_args += -DQT_HOST_PATH=/usr
endif

# enable ccache with corresponding build-profile
ifneq ($(filter ccache,$(DEB_BUILD_PROFILES)),)
	extra_cmake_args += -DQT_USE_CCACHE=ON
endif

%:
	dh $@ --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		--log-level=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		$(extra_cmake_args)

execute_after_dh_auto_install:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl\

=== debian/watch ===
version=4
https://download.qt.io/archive/qt/([\d\.]*)/([\d\.]*)/submodules/qtlottie-everywhere-src-(.*)\.tar\.xz

## qt6-lottie 6.9.3

=== debian/changelog ===
qt6-lottie (6.9.3-0zneon+24.04+noble+release+build14) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 05 Nov 2025 00:14:22 +0000

qt6-lottie (6.9.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 04 Nov 2025 18:48:18 +1000

qt6-lottie (6.9.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 29 Aug 2025 16:21:35 +1000

=== debian/control ===
Source: qt6-lottie
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               libxkbcommon-dev,
               mold,
               ninja-build,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev (>= 6.9.3~),
               qt6-declarative-dev (>= 6.9.3~)
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-lottie.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-lottie
Maintainer: Neon CI <neon@kde.org>

Package: qt6-lottie
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-declarative, ${misc:Depends}, ${shlibs:Depends}
Replaces: libqt6bodymovin6, qml6-module-qt-labs-lottieqt
Description: Qt 6 Lottie Bodymovin library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains a plugin created/exported directly from After Effects.

Package: qt6-lottie-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-dev, qt6-lottie (= ${binary:Version}), ${misc:Depends}
Breaks: libqt6bodymovin6-dev (<< 6.4.1-2~)
Replaces: libqt6bodymovin6-dev
Description: Qt 6 Lottie - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications using Qt Lottie libraries.

Package: libqt6bodymovin6
Architecture: all
Depends: qt6-lottie, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qt-labs-lottieqt
Architecture: all
Depends: qt6-lottie, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

# Use already defined DEB_HOST_* variables.
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

# QT_HOST_PATH isn't passed in cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	cmake_extra_args += \
		-DQT_HOST_PATH=/usr \
		-DQT_HOST_PATH_CMAKE_DIR=/usr/lib/$(DEB_BUILD_MULTIARCH)/cmake \
		-DQT_BUILD_TOOLS_WHEN_CROSSCOMPILING=ON
endif

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_MESSAGE_LOG_LEVEL=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		-DCMAKE_INTERPROCEDURAL_OPTIMIZATION=ON \
		-DQT_NO_PRIVATE_MODULE_WARNING=ON \
		-DQT_UNITY_BUILD=ON \
		$(extra_cmake_args)

execute_after_dh_auto_install:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl\

=== debian/watch ===
version=4
opts=uversionmangle=s/-/~/ \
https://mirror.netcologne.de/qtproject/official_releases/qt/([\d\.]+)/([\d\.]+)(\d)/submodules/qtlottie-everywhere-src-([\d\.]+\d).tar.xz

## qt6-lottie 6.10.1

=== debian/changelog ===
qt6-lottie (6.10.1-0zneon+24.04+noble+stable+build29) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sun, 30 Nov 2025 02:58:08 +0000

qt6-lottie (6.10.1-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 29 Nov 2025 07:56:07 +1000

qt6-lottie (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 15 Nov 2025 15:34:56 +1000

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,9 @@
                pkg-kde-tools,
                pkg-kde-tools-neon,
                pkgconf,
-               qt6-base-dev (>= 6.9.3~),
-               qt6-declarative-dev (>= 6.9.3~)
+               qt6-base-dev (>= 6.10.1~),
+               qt6-declarative-dev (>= 6.10.1~),
+               qt6-svg-dev (>= 6.10.1~)
 Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,6 @@
 		-DCMAKE_MESSAGE_LOG_LEVEL=STATUS \
 		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
 		-DCMAKE_INTERPROCEDURAL_OPTIMIZATION=ON \
-		-DQT_NO_PRIVATE_MODULE_WARNING=ON \
 		-DQT_UNITY_BUILD=ON \
 		$(extra_cmake_args)

## qt6-lottie 6.10.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,16 @@
 )
 
 find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS BuildInternals Core)
-find_package(Qt6 ${PROJECT_VERSION} QUIET CONFIG OPTIONAL_COMPONENTS Gui Qml Quick QuickTest)
+find_package(Qt6 ${PROJECT_VERSION} QUIET CONFIG
+    OPTIONAL_COMPONENTS
+        Gui
+        Qml
+        Quick
+        QuickShapesPrivate
+        QuickTest
+        QuickTestUtilsPrivate
+        QuickVectorImageGeneratorPrivate
+        QuickControls2)
 qt_internal_project_setup()
 
 if(NOT TARGET Qt6::Gui)

=== src/lottiegenerator/CMakeLists.txt ===
# Copyright (C) 2025 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_module(LottieVectorImageGeneratorPrivate
    INTERNAL_MODULE
    SOURCES
        qlottievisitor_p.h qlottievisitor.cpp
    LIBRARIES
        Qt::Core
        Qt::QuickPrivate
        Qt::QuickShapesPrivate
        Qt::QuickVectorImageGeneratorPrivate
        Qt::LottiePrivate
        Qt::LottieVectorImageHelpers
)

=== src/vectorimagehelpers/CMakeLists.txt ===
# Copyright (C) 2025 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_qml_module(LottieVectorImageHelpers
    URI "Qt.labs.lottieqt.VectorImageHelpers"
    VERSION "${PROJECT_VERSION}"
    CLASS_NAME QLottieVectorImageHelpersPlugin
    SOURCES
        qquicklayeritem_p.h qquicklayeritem.cpp
    LIBRARIES
        Qt::QuickPrivate
)

=== tests/auto/lottie/CMakeLists.txt ===
add_subdirectory(shape)

if(TARGET Qt::QuickPrivate
   AND TARGET Qt::QuickShapesPrivate
   AND TARGET Qt::QuickVectorImageGeneratorPrivate)
    add_subdirectory(vectorimage)
endif()

=== tests/auto/lottie/vectorimage/CMakeLists.txt ===
# Copyright (C) 2025 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_vectorimage LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

# Collect test data
file(GLOB_RECURSE test_data_glob
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    data/*)
list(APPEND test_data ${test_data_glob})

qt_internal_add_test(tst_vectorimage
    SOURCES
        tst_vectorimage.cpp
    LIBRARIES
        Qt::CorePrivate
        Qt::Gui
        Qt::GuiPrivate
        Qt::Qml
        Qt::QmlPrivate
        Qt::QuickPrivate
        Qt::QuickTestUtilsPrivate
    TESTDATA
        ${test_data}
    DEFINES
        QT_QMLTEST_DATADIR="${CMAKE_CURRENT_SOURCE_DIR}/data"
)

file(GLOB_RECURSE test_data_glob_lottie_original
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/../../../baseline/data/original/*)
list(APPEND lottie_data ${test_data_glob_lottie_original})

qt_add_resources(tst_vectorimage lottieoriginal
    PREFIX /json
    BASE ${CMAKE_CURRENT_SOURCE_DIR}/../../../baseline/data/original/
    FILES
        ${lottie_data}
)

file(GLOB_RECURSE test_data_glob_lottie_docsamples
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/../../../baseline/data/docsamples/*)
list(APPEND lottie_data ${test_data_glob_lottie_docsamples})

qt_add_resources(tst_vectorimage lottiedocsamples
    PREFIX /json
    BASE ${CMAKE_CURRENT_SOURCE_DIR}/../../../baseline/data/docsamples/
    FILES
        ${lottie_data}
)

qt_internal_extend_target(tst_vectorimage CONDITION ANDROID OR IOS
    OR QT_FORCE_BUILTIN_TESTDATA
    DEFINES
    QT_QMLTEST_DATADIR=":/data"
)

=== debian/changelog ===
qt6-lottie (6.10.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.10.2).
  * Bump Qt B-Ds to 6.10.2.
  * Update d/watch to format version 5.
  * Update list of installed files and new binary packages.
  * Update symbols from buildlogs.
  * Bump Standards-Version to 4.7.3 (no changes needed).
  * Remove Priority: optional, not needed anymore.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Tue, 03 Feb 2026 22:08:48 +0100

=== debian/control ===
Source: qt6-lottie
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.24~),
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.10.2+dfsg~),
               qt6-base-private-dev (>= 6.10.2+dfsg~),
               qt6-declarative-dev (>= 6.10.2+dfsg~),
               qt6-declarative-private-dev (>= 6.10.2+dfsg~),
Standards-Version: 4.7.3
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-lottie
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-lottie.git

Package: libqt6lottie6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 Lottie library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains a plugin created/exported directly from After Effects.

Package: libqt6lottievectorimagegenerator6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 Lottie Vector Image Generator library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Lottie Vector Image Generator library.

Package: libqt6lottievectorimagehelpers6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 Lottie Vector Image Helpers library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Lottie Vector Image Helpers library.

Package: qml6-module-qt-labs-lottieqt
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Qt 6 Lottie QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains a QML API for rendering graphics and animations
 that are exported in JSON format by the Lottie plugin for Adobe
 After Effects.

Package: qml6-module-qt-labs-lottieqt-vectorimagehelpers
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Qt 6 Lottie Vector Image Helpers QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains a QML API for the Vector Image Helpers.

Package: qt6-lottie-tools
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: libqt6lottie6 (= ${binary:Version}),
         libqt6lottievectorimagegenerator6 (= ${binary:Version}),
         libqt6lottievectorimagehelpers6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 Lottie tools
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the lottietoqml tool.

Package: qt6-lottie-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt6lottie6 (= ${binary:Version}),
         libqt6lottievectorimagegenerator6 (= ${binary:Version}),
         libqt6lottievectorimagehelpers6 (= ${binary:Version}),
         qml6-module-qt-labs-lottieqt (= ${binary:Version}),
         qml6-module-qt-labs-lottieqt-vectorimagehelpers (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Breaks: libqt6bodymovin6-dev (<< 6.4.1-2~),
Replaces: libqt6bodymovin6-dev (<< 6.4.1-2~),
Description: Qt 6 Lottie - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications using Qt Lottie libraries.

Package: qt6-lottie-examples
Architecture: any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 Lottie examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt Lottie submodule.

=== debian/watch ===
Version: 5

Source: https://download.qt.io/archive/qt/([\d\.]*)/([\d\.]*)/submodules/
Matching-Pattern: qtlottie-everywhere-src-(.*)\.tar\.xz
